Skip to Content
avatar image
Former Member

B2B custom application with NWDI; IPC error

Hello,

I am trying to create a custom B2B application integrating the IPC configuration and pricing. I created the NWDI environment as explained in the documentation.

Context : Netweaver 7.0 SP22

I imported the following DCs in the system :

sap.com_SAP-CRMDIC (SP17)

sap.com_SAP-IPCMSA (SP17)

sap.com_SAP-JEE (SP22)

sap.com_SAP-SHRAPP (SP17)

sap.com_SAP-SHRJAV (SP17)

sap.com_SAP-SHRWEB (SP17)

sap.com_SAP_BUILDT (SP22)

sap.com_SAP_JTECHS (SP22)

sap.com_SAPAPIPCJ (SP21)

sap.com_STRUTS

sap.com_TEALEAF

But I have error when the DC SAP-IPCMSA is imported, (see the request log below).

this DC is BROKEN because the 'sap.com/base/services/api' and 'sap.com/services/api' packages are not available

I forget to import a DC components ? something is missing in my J2EE engine or in my NWDI configuration ?

Where can i find this two packages sap.com/base/services/api and sap.com/services/api ??

Thanks for your helps

  • CBS Request Log ******

Analyze request DC BV... started at 2010-09-20 12:28:36.460 GMT

'sap.com/crm/ipc/srv/msa/commands/impl' variant 'default'

'sap.com/crm/ipc/srv/msa/commands/impl' variant 'default' cannot be built and will be marked as BROKEN.

INVALID dependency is declared

DC 'sap.com/crm/ipc/srv/msa/commands/impl' in SC 'sap.com_SAP-IPCMSA_1' USES Non-existing DC 'sap.com/base/services/api'> [public-part: ?] AS Build-Time Dependency [validity: USED COMPONENT OR PUBLIC PART IS UNKNOWN OR UNDEFINED]

'sap.com/crm/ipc/srv/msa/server/impl' variant 'default'

'sap.com/crm/ipc/srv/msa/server/impl' variant 'default' cannot be built and will be marked as BROKEN.

INVALID dependency is declared

DC 'sap.com/crm/ipc/srv/msa/server/impl' in SC 'sap.com_SAP-IPCMSA_1' USES Non-existing DC 'sap.com/services/api'> [public-part: ?] AS Build-Time Dependency [validity: USED COMPONENT OR PUBLIC PART IS UNKNOWN OR UNDEFINED]

'sap.com/crm/ipc/srv/cfg/ap/prc/msa' variant 'default'

'sap.com/crm/ipc/srv/cfg/ppr/msa' variant 'default'

'sap.com/crm/ipc/srv/msa/server' variant 'default'

'sap.com/crm/ipc/srv/msa/server' variant 'default' cannot be built and will be marked as BROKEN.

INVALID dependency is declared

DC 'sap.com/crm/ipc/srv/msa/server' in SC 'sap.com_SAP-IPCMSA_1' USES Non-existing DC 'sap.com/base/services/api' [public-part: ?] AS Build-Time Dependency [validity: USED COMPONENT OR PUBLIC PART IS UNKNOWN OR UNDEFINED]

'sap.com/crm/ipc/srv/msa/commands' variant 'default'

Analyze request DC BV... finished at 2010-09-20 12:28:36.589 GMT and took 129 ms

Add comment
10|10000 characters needed characters exceeded

  • Follow
  • Get RSS Feed

4 Answers

  • avatar image
    Former Member
    Sep 21, 2010 at 07:45 AM
    Add comment
    10|10000 characters needed characters exceeded

  • avatar image
    Former Member
    Sep 21, 2010 at 08:38 AM

    Hello Pradeed,

    Thank for you help.

    My IPCMSA DC is broken because of DC problems with metadata. The three following DC are marked with red bullet in the metadata columns

    - crm/ipc/srv/msa/server

    - crm/ipc/srv/msa/server/impl

    - crm/ipc/srv/msa/commands/impl

    It seems that the only pb is concerning the crm/ipc/msa/server package. (the others depends on the one). And the only information is in the log :

    ****

    Analyze request DC BV... started at 2010-09-21 07:16:11.510 GMT

    'sap.com/crm/ipc/srv/msa/commands/impl' variant 'default'

    'sap.com/crm/ipc/srv/msa/commands/impl' variant 'default' IS BROKEN. The component therefore cannot be built and will be marked as BROKEN.

    [DC 25 variant 'default'][SC 17 'sap.com_SAP-IPCMSA_1'][last successful build: 0]

    'sap.com/crm/ipc/srv/msa/server/impl' variant 'default'

    'sap.com/crm/ipc/srv/msa/server/impl' variant 'default' IS BROKEN. The component therefore cannot be built and will be marked as BROKEN.

    [DC 26 variant 'default'][SC 17 'sap.com_SAP-IPCMSA_1'][last successful build: 0]

    'sap.com/crm/ipc/srv/cfg/ap/prc/msa' variant 'default'

    'sap.com/crm/ipc/srv/cfg/ppr/msa' variant 'default'

    'sap.com/crm/ipc/srv/msa/server' variant 'default'

    'sap.com/crm/ipc/srv/msa/server' variant 'default' IS BROKEN. The component therefore cannot be built and will be marked as BROKEN.

    [DC 29 variant 'default'][SC 17 'sap.com_SAP-IPCMSA_1'][last successful build: 0]

    'sap.com/crm/ipc/srv/msa/commands' variant 'default'

    'sap.com/crm/ipc/srv/msa/commands' variant 'default' cannot be built and will be marked as BROKEN.

    The component depends on another BROKEN component 'sap.com/crm/ipc/srv/msa/server/ PPs>'.

    DC 'sap.com/crm/ipc/srv/msa/commands' in SC 'sap.com_SAP-IPCMSA_1' USES DC 'sap.com/crm/ipc/srv/msa/server' in SC 'sap.com_SAP-IPCMSA_1' [public-part: ?] AS Build-Time Dependency [validity: OK]

    Analyze request DC BV... finished at 2010-09-21 07:16:11.606 GMT and took 96 ms

    ******

    Thanks for you helps

    Add comment
    10|10000 characters needed characters exceeded

    • Former Member

      Hello,

      The version of the sap.com_SAPAPIPCJ differs from the sap.com_SAP-IPCMSA. Is it possible to check by ommitting the sap.com_SAPAPIPCJ in import?

      I guess that is used for the user exits std code?

      Pradeep

  • avatar image
    Former Member
    Sep 21, 2010 at 10:09 AM

    Hello Pradeed,

    Good remarks about the SAPAPIPCJ sp21. But I don't found the SP22 for SAPAIPIPCJ in the marketplace but only the SP21 !.

    If I remove the SAPAPIPCJ in the import, it's worst. the metadata for com/ipc/srv/msa/commands is Broken (red bullet)

    So it's seems to be necessary to add this SC

    I implement a B2B for ERP 6.0.Is it necessary to import also CRMAPP and CRMWEB ?

    Thanks for your help

    Add comment
    10|10000 characters needed characters exceeded

    • Former Member

      CRMAPP and CRMWEB are not necessary. There is a SP17 version of the SAPAPIPCJ. Can you try that so that it matches the version of SAPIPCMSA you have?

      Pradeep

  • avatar image
    Former Member
    Sep 21, 2010 at 10:58 AM

    Hello Pradeed.

    I thought that the SAPAPIPCJ was in relation with the SAP AP 7.0 (VMC) and the J2EE engine. But I will try to import the SP17 instead of SP21 in order to test it.

    Thanks for help

    Add comment
    10|10000 characters needed characters exceeded